Error related to ecmascript 6 while building pipeline in cloud manager for AEM as cloud service

asn_india

10-06-2020

I am building and deploying a project on AEM cloud instance via cloud manager deploy pipeline for the first time.

and the build images step is failing with lots of errors like the one below related to libs components.

Jun 10, 2020 8:58:03 AM com.google.javascript.jscomp.LoggerErrorManager println
SEVERE: /libs/cq/ups/rte/plugin.js:574: ERROR - This language feature is only supported for ECMASCRIPT6 mode or better: const declaration.
const context = this.editorKernel.editContext;

Any body faced same issue or any pointers?

Accepted Solutions (1)

Accepted Solutions (1)

nidhip010816

Employee

11-06-2020

Hello @asn_india 

 

The /libs/clientlibs/granite/coralui2 node has a jsProcessor property set to "min:gcc". This means that this property takes precedence over the configuration in the HTML Library Manager. And this somewhat explains this - "This language feature is only supported for ECMASCRIPT6 mode"

 

Although, It would be great if you log a ticket where a Support Engineer could work with you by looking into your Cloud environment.

 

Hope this helps!

 

Warm regards,

Nidz